# Point an alias at a version

PUT /v1/programs/{id}/aliases/{alias}: Point an alias at a version

```http
PUT /v1/programs/{id}/aliases/{alias}
```

|  |  |
|---|---|
| Operation id | `setProgramAlias` |
| Key scope | `run`: keys that run jobs (and `admin` keys) |
| Section | [Programs](https://docs.kaab.ist/reference/api#programs) |

## Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `id` | path | string | yes | min length 1 |
| `alias` | path | string | yes | min length 1 |

## Request body

| Field | Type | Required | Description |
|---|---|---|---|
| `version` | integer | yes | ≥ 1 |

## Example request

```bash
curl -X PUT "https://api.kaab.ist/v1/programs/{id}/aliases/{alias}" \
  -H "Authorization: Bearer $KAAB_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"version":2}'
```

## Responses

### 200

Program

[Program](https://docs.kaab.ist/reference/api/schemas/program)

```json
{
  "id": "prg_01j9zqk3q7m4n5p6r7s8t9v0wx",
  "object": "program",
  "name": "acme-report",
  "description": "Daily report export",
  "latest_version": 3,
  "aliases": {
    "latest": 3,
    "production": 2
  },
  "canary": {
    "enabled": true,
    "cron": "0 */6 * * *",
    "url": null
  },
  "created_at": "2026-09-18T10:00:00Z",
  "updated_at": "2026-09-18T10:00:00Z"
}
```

## Errors

Every error answers with the [error envelope](https://docs.kaab.ist/reference/api/schemas/error-response); its `code` is one of the [error codes](https://docs.kaab.ist/reference/codes#errors).

| Status | When |
|---|---|
| 400 | `request_invalid`: request validation failed |
| 401 | Missing or invalid API key |
| 402 | `insufficient_credits`: top up to continue |
| 403 | The key's scope does not cover this operation |
| 404 | Resource not found |
| 409 | Conflicting state (see `error.code`) |
| 422 | Semantically invalid request (see `error.code`) |
| 429 | Rate limited; see `Retry-After` |
| 500 | `internal`: unexpected server error |
